Cancel
Showing results for 
Search instead for 
Did you mean: 

Re: RE: Is it possible to open document invisible in SE?

Valued Contributor
Valued Contributor

May anyone help me to translate the code to VB.net?

Re: RE: Is it possible to open document invisible in SE?

Legend
Legend

Hi @RamonRuiz

 

The only thing you can to do is to add the parameter 8 in your open command; something like this (I'm using SolidEdgeCommunity NuGet packages by @jnewell)

 

Dim objApp As SolidEdgeFramework.Application = SolidEdgeCommunity.SolidEdgeUtils.Connect(True, True)

Dim objDoc As SolidEdgePart.PartDocument = objApp.Documents.Open("C:\Program Files\Solid Edge ST9\Training\anchor.par", 8)

  Hidden document.png

  

As you can see in the image above, the document is open but no document window is displayed in SolidEdge.

  

Hope it helps. 

Héctor Pelayo Izquierdo
Engineering Department, JAE Ingeniería y Desarrollos, S.L.
Solid Edge ST9 MP5 | NX 9
Development: VB.NET

Re: RE: Is it possible to open document invisible in SE?

Creator
Creator

Hi all

With my program I want to open drawings in this fast mode. The drawing is to be checked whether the views are current. I iterate through all views on the sheet. If a view is no longer current (objDrawingView.IsUpToDate), then I set the status of my test to not current.
In this fast mode (second argument integer 8) all views are displayed as current! (Solid Edge 2019, MP3)
If I load the drawings with the gui, then the control works correctly.
Does anyone have an idea how to use the quick open feature anyway?

Matthias

Re: RE: Is it possible to open document invisible in SE?

Gears Esteemed Contributor Gears Esteemed Contributor
Gears Esteemed Contributor

@wenger-ag  I'm not sure what using the DocRelationAutoServer switch does beside opening a document hidden.  Have you tried setting the SE app visibility to false and opening the document normally which will not show SE or the document?  Should save the display time...



Ken
Production: ST10 MP9, Testing: SE 2019
http://Grundey.blogspot.com

Re: RE: Is it possible to open document invisible in SE?

Creator
Creator

Hi Ken

Thanks for the tip.

I did some performance research with 12 drawings.
If Solid Edge app.Visible=true then it needs 54.5s
If Solid Edge app.Visible=false then it needs 39.3s

That's a difference you notice.